Skip to main content
GET
/
v0
/
sources
List
curl --request GET \
  --url https://api.paygentic.io/v0/sources \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/sources"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/sources', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "src_c5d6e7f8g9h0i1j2",
      "config": {
        "ampersandProjectId": "proj_567890"
      },
      "createdAt": "2024-02-20T13:15:00Z",
      "description": "Machine learning inference usage collection",
      "enabled": true,
      "metadata": {
        "billableMetricMapping": {
          "revenue": "bm_s1t2u3v4w5x6y7z8"
        }
      },
      "name": "ML Compute Usage Source",
      "planId": "plan_k3l4m5n6o7p8q9r0",
      "processingMode": "automatic",
      "type": "stripe_revenue",
      "updatedAt": "2024-02-20T13:15:00Z"
    }
  ],
  "pagination": {
    "limit": 10,
    "offset": 0,
    "total": 1
  }
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}
{
  "message": "The requested resource was not found",
  "error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

limit
integer
default:10
Required range: 1 <= x <= 100
merchantId
string

Filter sources by merchant ID Unique identifier for an organization

Pattern: ^org_[a-zA-Z0-9]+$
offset
integer
default:0
Required range: x >= 0
planId
string

Filter sources by plan ID Unique identifier for a plan

Pattern: ^plan_[a-zA-Z0-9]+$

Response

List of sources

data
object[]
pagination
object

Offset-based pagination response.